Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359413 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000012 [qxl]
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alon Levy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eb63943c08521fdbb3bf4980a4f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-23 21:10 UTC by Joachim Frieben
Modified: 2017-12-12 10:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:29:37 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-23 21:11 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2016-07-23 21:10:59 UTC
Additional info:
reporter:       libreport-2.7.2
BUG: unable to handle kernel NULL pointer dereference at 0000000000000012
IP: [<ffffffffc010d661>] qxl_release_fence_buffer_objects+0x61/0x250 [qxl]
PGD 5b66f067 PUD 5b66e067 PMD 0 
Oops: 0000 [#1] SMP
Modules linked in: lp nls_utf8 isofs fuse uinput nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_mangle ebtable_filter ebtables ip6table_filter ip6_tables snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device ppdev snd_pcm virtio_balloon parport_pc joydev snd_timer acpi_cpufreq i2c_piix4 tpm_tis parport snd soundcore tpm qemu_fw_cfg nfsd auth_rpcgss nfs_acl lockd grace sunrpc virtio_console 8139too qxl drm_kms_helper ttm drm serio_raw virtio_pci virtio_ring
 virtio 8139cp mii ata_generic pata_acpi
CPU: 0 PID: 1409 Comm: Xorg Not tainted 4.7.0-0.rc7.git4.1.fc25.x86_64 #1
Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.9.1-3.fc25 04/01/2014
task: ffff88004b620000 ti: ffff88003ef60000 task.ti: ffff88003ef60000
RIP: 0010:[<ffffffffc010d661>]  [<ffffffffc010d661>] qxl_release_fence_buffer_objects+0x61/0x250 [qxl]
RSP: 0018:ffff88003ef63c98  EFLAGS: 00010296
RAX: 0000000000000002 RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000006979 RSI: ffffffffc010ea20 RDI: ffff88005b58e400
RBP: ffff88003ef63cc0 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: ffff88005a512000
R13: ffff88005b58e400 R14: ffff88005b58e4e0 R15: 00000000000002f2
FS:  00007f81d84b6ec0(0000) GS:ffff88005f000000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000012 CR3: 000000003b4ea000 CR4: 00000000000006f0
Stack:
 0000000000000000 ffff88005a512000 ffff88005ce38000 00000000000000b9
 00000000000002f2 ffff88003ef63d08 ffffffffc0104fe1 ffff88005b58e400
 0000000030ed752f ffff88003ef63d5c ffff88005a5120e8 ffff880043f3e400
Call Trace:
 [<ffffffffc0104fe1>] qxl_crtc_cursor_move+0x101/0x120 [qxl]
 [<ffffffffc0068b54>] drm_mode_cursor_common+0x134/0x180 [drm]
 [<ffffffffc006cec0>] drm_mode_cursor_ioctl+0x50/0x70 [drm]
 [<ffffffffc005dc22>] drm_ioctl+0x152/0x570 [drm]
 [<ffffffffc006ce70>] ? drm_mode_setcrtc+0x590/0x590 [drm]
 [<ffffffff810dc499>] ? __might_sleep+0x49/0x80
 [<ffffffff812accb4>] do_vfs_ioctl+0xa4/0x6c0
 [<ffffffff812ba462>] ? __fget+0x122/0x210
 [<ffffffff812ba345>] ? __fget+0x5/0x210
 [<ffffffff812ad349>] SyS_ioctl+0x79/0x90
 [<ffffffff818dafbc>] entry_SYSCALL_64_fastpath+0x1f/0xbd
Code: 00 00 00 48 8b 87 e0 00 00 00 49 39 c6 0f 84 d9 00 00 00 48 8b 87 e0 00 00 00 8b 4f 78 48 c7 c6 20 ea 10 c0 44 8b 47 3c 49 89 fd <4c> 8b 60 10 81 c9 00 00 00 f0 49 8b 44 24 08 48 8d 90 40 0b 00 
RIP  [<ffffffffc010d661>] qxl_release_fence_buffer_objects+0x61/0x250 [qxl]
 RSP <ffff88003ef63c98>
CR2: 0000000000000012

Comment 1 Joachim Frieben 2016-07-23 21:11:11 UTC
Created attachment 1183149 [details]
File: dmesg

Comment 2 Jan Kurik 2016-07-26 04:03:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Fedora End Of Life 2017-11-16 14:11:13 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:29:37 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.